Name:           tflogger
Version:        0.1.1
Release:        2%{?dist}
Summary:        TensorFlow event logger

License:        ASL 2.0
URL:            https://github.com/shogun-toolbox/tflogger
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  catch-devel
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  protobuf-devel

%description
This is a simple library that has been carved out of
TensorFlow's codebase for being able to generate the
required output format for TensorBoard.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} == %{version}-%{release}
Requires:       protobuf-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p 1


%build
%{__mkdir_p} build-%{_target_platform}
pushd build-%{_target_platform}
%cmake3                     \
  -DBUILD_TESTS=ON          \
  -DLIB_INSTALL_DIR=%{_lib} \
  ..
%make_build
popd


%install
%make_install -C build-%{_target_platform}


%check
pushd build-%{_target_platform}
  %{_bindir}/ctest3 %{?_smp_mflags} -V
popd


%{?ldconfig_scriptlets}


%files
%license LICENSE
%doc README.md
%{_libdir}/lib%{name}.so.*

%files devel
%{_includedir}/%{name}
%{_libdir}/cmake/%{name}
%{_libdir}/lib%{name}.so


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri May 18 2018 Björn Esser <besser82@fedoraproject.org> - 0.1.1-1
- Initial import (rhbz#1579528)

* Thu May 17 2018 Björn Esser <besser82@fedoraproject.org> - 0.1.1-0.1
- Initial rpm release (rhbz#1579528)
